package org.netbeans.example;

import javax.annotation.PostConstruct;
import javax.annotation.PreDestroy;
import javax.ejb.Stateless;
import javax.ejb.LocalBean;
import javax.interceptor.Interceptors;

/**
 *
 * @author jGauravGupta
 */
@Stateless
@LocalBean
@Interceptors(SampleInterceptor.class)
public class SampleBean {

    @PostConstruct
    public void init() {
        System.out.println("SampleBean > PostConstruct > init");
    }

    public void test() {
        System.out.println("SampleBean > test");
    }

    @PreDestroy
    public void destroy() {
        System.out.println("SampleBean > PreDestroy > destroy");
    }

}
